Bug 1094477 - Review Request: gimp-wavelet-decompose-plugin - GIMP wavelet decompose plugin
Summary: Review Request: gimp-wavelet-decompose-plugin - GIMP wavelet decompose plugin
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: DESIGN-SW
TreeView+ depends on / blocked
 
Reported: 2014-05-05 19:12 UTC by Ryan Lerch
Modified: 2018-07-29 16:06 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-29 16:06:30 UTC
ignatenko: fedora-review?


Attachments (Terms of Use)

Description Ryan Lerch 2014-05-05 19:12:16 UTC
Spec URL: https://raw.githubusercontent.com/ryanlerch/my-fedora-package-reviews/master/gimp-wavelet-decompose-plugin/gimp-wavelet-decompose-plugin.spec

SRPM URL: https://github.com/ryanlerch/my-fedora-package-reviews/raw/master/gimp-wavelet-decompose-plugin/gimp-wavelet-decompose-plugin-0.1.2-0.fc20.src.rpm

Description: This plugin (available in the GIMP interface at Filters > Generic > Wavelet Decompose) losslessly decomposes a layer of an image into layers of wavelet scales. This means that you can edit the image on different detail scales (frequencies). The trivial recomposition of the image can be done by GIMP's layer modes so you can see the results of your modifications instantly. Among the applications are retouching, noise reduction, and enhancing global contrast.

Fedora Account System Username:
ryanlerch

Comment 1 Ryan Lerch 2014-05-05 19:13:10 UTC
i based this one off the spec for:
https://bugzilla.redhat.com/show_bug.cgi?id=1082474

Comment 2 Igor Gnatenko 2014-05-27 03:47:12 UTC
I'll review soon. But quick note. You don't need pkgxonfig in BR.

Comment 3 Igor Gnatenko 2014-05-28 06:25:09 UTC
Mostly good, but some issues:
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

Issues
======
- gimp-wavelet-decompose-plugin.x86_64: E: description-line-too-long C This plugin (available in the GIMP interface at Filters > Generic > Wavelet Decompose) losslessly decomposes a layer of an image into layers of wavelet scales. This means that you can edit the image on different detail scales (frequencies). The trivial recomposition of the image can be done by GIMP's layer modes so you can see the results of your modifications instantly. Among the applications are retouching, noise reduction, and enhancing global contrast.
-> please format %description string (80 symbols per line)

- gimp-wavelet-decompose-plugin.x86_64: E: incorrect-fsf-address /usr/share/doc/gimp-wavelet-decompose-plugin/COPYING
-> Inform upstream and change License tag to GPLv2 (you're using GPLv2+)


===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2)". Detailed output of licensecheck in /home/brain/1094477-gimp-
     wavelet-decompose-plugin/licensecheck.txt
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[-]: Package uses nothing in %doc for runtime.
[x]: The spec file handles locales properly.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[?]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 30720 bytes in 4 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Uses parallel make %{?_smp_mflags} macro.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gimp-wavelet-decompose-plugin-0.1.2-0.fc21.x86_64.rpm
          gimp-wavelet-decompose-plugin-0.1.2-0.fc21.src.rpm
gimp-wavelet-decompose-plugin.x86_64: W: spelling-error %description -l en_US losslessly -> bloodlessly, colorlessly, sleeplessly
gimp-wavelet-decompose-plugin.x86_64: W: spelling-error %description -l en_US recomposition -> decomposition, re composition, re-composition
gimp-wavelet-decompose-plugin.x86_64: E: description-line-too-long C This plugin (available in the GIMP interface at Filters > Generic > Wavelet Decompose) losslessly decomposes a layer of an image into layers of wavelet scales. This means that you can edit the image on different detail scales (frequencies). The trivial recomposition of the image can be done by GIMP's layer modes so you can see the results of your modifications instantly. Among the applications are retouching, noise reduction, and enhancing global contrast.
gimp-wavelet-decompose-plugin.x86_64: E: incorrect-fsf-address /usr/share/doc/gimp-wavelet-decompose-plugin/COPYING
gimp-wavelet-decompose-plugin.src: W: spelling-error %description -l en_US losslessly -> bloodlessly, colorlessly, sleeplessly
gimp-wavelet-decompose-plugin.src: W: spelling-error %description -l en_US recomposition -> decomposition, re composition, re-composition
gimp-wavelet-decompose-plugin.src: E: description-line-too-long C This plugin (available in the GIMP interface at Filters > Generic > Wavelet Decompose) losslessly decomposes a layer of an image into layers of wavelet scales. This means that you can edit the image on different detail scales (frequencies). The trivial recomposition of the image can be done by GIMP's layer modes so you can see the results of your modifications instantly. Among the applications are retouching, noise reduction, and enhancing global contrast.
2 packages and 0 specfiles checked; 3 errors, 4 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint gimp-wavelet-decompose-plugin
gimp-wavelet-decompose-plugin.x86_64: W: spelling-error %description -l en_US losslessly -> bloodlessly, colorlessly, sleeplessly
gimp-wavelet-decompose-plugin.x86_64: W: spelling-error %description -l en_US recomposition -> decomposition, re composition, re-composition
gimp-wavelet-decompose-plugin.x86_64: E: description-line-too-long C This plugin (available in the GIMP interface at Filters > Generic > Wavelet Decompose) losslessly decomposes a layer of an image into layers of wavelet scales. This means that you can edit the image on different detail scales (frequencies). The trivial recomposition of the image can be done by GIMP's layer modes so you can see the results of your modifications instantly. Among the applications are retouching, noise reduction, and enhancing global contrast.
gimp-wavelet-decompose-plugin.x86_64: E: incorrect-fsf-address /usr/share/doc/gimp-wavelet-decompose-plugin/COPYING
1 packages and 0 specfiles checked; 2 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
gimp-wavelet-decompose-plugin (rpmlib, GLIBC filtered):
    gimp
    libatk-1.0.so.0()(64bit)
    libc.so.6()(64bit)
    libcairo.so.2()(64bit)
    libfontconfig.so.1()(64bit)
    libfreetype.so.6()(64bit)
    libgdk-x11-2.0.so.0()(64bit)
    libgdk_pixbuf-2.0.so.0()(64bit)
    libgimp-2.0.so.0()(64bit)
    libgimpbase-2.0.so.0()(64bit)
    libgimpcolor-2.0.so.0()(64bit)
    libgimpconfig-2.0.so.0()(64bit)
    libgimpmath-2.0.so.0()(64bit)
    libgimpmodule-2.0.so.0()(64bit)
    libgimpui-2.0.so.0()(64bit)
    libgimpwidgets-2.0.so.0()(64bit)
    libgio-2.0.so.0()(64bit)
    libglib-2.0.so.0()(64bit)
    libgobject-2.0.so.0()(64bit)
    libgtk-x11-2.0.so.0()(64bit)
    libm.so.6()(64bit)
    libpango-1.0.so.0()(64bit)
    libpangocairo-1.0.so.0()(64bit)
    libpangoft2-1.0.so.0()(64bit)
    libpthread.so.0()(64bit)
    rtld(GNU_HASH)



Provides
--------
gimp-wavelet-decompose-plugin:
    gimp-wavelet-decompose-plugin
    gimp-wavelet-decompose-plugin(x86-64)



Source checksums
----------------
http://registry.gimp.org/files/wavelet-decompose-0.1.2.tar.gz :
  CHECKSUM(SHA256) this package     : 7a3217958646468a9b3668d64ca635d6bcfba9ababcff4cce91e38861e50b681
  CHECKSUM(SHA256) upstream package : 7a3217958646468a9b3668d64ca635d6bcfba9ababcff4cce91e38861e50b681


Generated by fedora-review 0.5.1 (bb9bf27) last change: 2013-12-13
Command line :/bin/fedora-review -b 1094477 -m fedora-rawhide-x86_64 -v
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Igor Gnatenko 2017-03-11 19:34:57 UTC
ping?

Comment 5 Igor Gnatenko 2017-06-21 15:02:22 UTC
once more ping?


Note You need to log in before you can comment on or make changes to this bug.